cygwin_attach_handle_to_fd
Prev | Miscellaneous functions | Next

## Name

cygwin_attach_handle_to_fd

## Synopsis

    #include <sys/cygwin.h>

`int cygwin_attach_handle_to_fd(`char *name, int fd, HANDLE handle, int bin, int access`)`;

## Description

This function can be used to turn a Win32 "handle" into a posix-style file handle. `fd` may be -1 to make cygwin allocate a handle; the actual handle is returned in all cases.

Even after using function, Cygwin doesn't know anything about the underlying file or device. It just tries to supply the typical file functions on a "best-effort" basis. Use with care. Don't expect too much.

Prev | Up | Next
Miscellaneous functions | Home | cygwin_internal